> For the complete documentation index, see [llms.txt](https://api-docs.roundhr.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.roundhr.com/round-api/api-reference/form-submissions/show.md).

# 폼 제출 상세 조회

<mark style="color:green;">`GET`</mark> `https://api.roundhr.com/v1/candidates/{candidate_code}/form_submissions/{code}`

폼 제출의 상세 정보를 반환합니다. 제출된 답변(submission\_answers)을 포함합니다.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Path Parameters**

| Name            | Type   | 필수         | Description |
| --------------- | ------ | ---------- | ----------- |
| candidate\_code | string | `required` | 지원자 고유 코드   |
| code            | string | `required` | 폼 제출 고유 코드  |

**응답 예제**

{% tabs %}
{% tab title="200" %}

```json
{
  "resource": {
    "code": "code_abc123",
    "kind": "message",
    "form_title": "사전 질문",
    "form_description": "면접 전 사전 질문입니다.",
    "candidate_name": "김라운",
    "candidate_email": "test@example.com",
    "submitted_at": "2024-10-10T00:00:00+09:00",
    "created_at": "2024-10-10T00:00:00+09:00",
    "form_template": {
      "id": 1,
      "name": "사전 질문 템플릿"
    },
    "submission_answers": [
      {
        "id": 1,
        "kind": "text",
        "sub_kind": null,
        "order": 1,
        "title": "자기소개를 해주세요",
        "description": null,
        "accessible": true,
        "answer_json_info": {
          "value": "안녕하세요. 김라운입니다."
        },
        "question": {
          "id": 10,
          "kind": "text",
          "title": "자기소개를 해주세요",
          "required": true,
          "answer_options": []
        }
      },
      {
        "id": 2,
        "kind": "dropdown",
        "sub_kind": null,
        "order": 2,
        "title": "희망 근무 형태",
        "description": "선호하는 근무 형태를 선택해주세요",
        "accessible": true,
        "answer_json_info": {
          "value": "재택근무"
        },
        "question": {
          "id": 11,
          "kind": "dropdown",
          "title": "희망 근무 형태",
          "required": false,
          "answer_options": ["사무실 출근", "재택근무", "하이브리드"]
        }
      },
      {
        "id": 3,
        "kind": "file_upload",
        "sub_kind": null,
        "order": 3,
        "title": "포트폴리오",
        "description": "포트폴리오를 첨부해주세요",
        "accessible": true,
        "answer_json_info": {
          "links": ["https://cdn.roundhr.com/files/portfolio.pdf"]
        },
        "question": {
          "id": 12,
          "kind": "file_upload",
          "title": "포트폴리오",
          "required": false,
          "answer_options": []
        }
      }
    ]
  }
}
```

{% endtab %}

{% tab title="404" %}

```json
{
  "error": "not_found",
  "message": "Resource not found"
}
```

{% endtab %}
{% endtabs %}

***

## 응답 필드 설명

[폼 제출 목록 조회](/round-api/api-reference/form-submissions/list.md)의 응답 필드 설명을 참조하세요.
